%define module_name XML-Writer

Name:		perl-%module_name
Version:	0.4
Release:	alt2.1

Packager: Mikhail Zabaluev <mhz@altlinux.ru>
Summary:	Simple Perl module for writing XML documents
Summary(ru_RU.KOI8-R):   Perl   XML-
Group:		Development/Perl
License:	GPL or Artistic
URL:		http://www.cpan.org/modules/by-module/XML/

# Uncomment if you do an architecture-independent package
BuildArch:	noarch

Source:		http://www.perl.com/CPAN/modules/by-module/XML/%module_name-%version.tar.bz2

# Automatically added by buildreq on Wed Oct 08 2003 (-bi)
BuildRequires: perl-devel

%description
XML::Writer is a simple Perl module for writing XML documents: it
takes care of constructing markup and escaping data correctly, and by
default, it also performs a significant amount of well-formedness
checking on the output, to make certain (for example) that start and
end tags match, that there is exactly one document element, and that
there are not duplicate attribute names.

%prep
%setup -q -n %module_name-%version

%build
%perl_vendor_build
%make test

%install
%perl_vendor_install

%files
%doc README Changes

%perl_vendor_privlib/XML*
%doc %perl_vendor_man3dir/*

%changelog
* Wed Oct 08 2003 Stanislav Ievlev <inger@altlinux.ru> 0.4-alt2.1
- fix building in hasher

* Fri Nov 01 2002 Sergey V Turchin <zerg@altlinux.org> 0.4-alt2
- rebuild with new perl

* Mon Jan 07 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.4-alt1
- Initial release
